//
// RectSaver.hpp
// screensaver
//
// Created by Bob Polis at 2020-10-26
// Copyright (c) 2020 SwiftCoder. All rights reserved.
//

#ifndef _RectSaver_H_
#define _RectSaver_H_

#include "ScreensaverPlugin.hpp"

class RectSaver : public ScreensaverPlugin {
    public:
        RectSaver() = default;
        ~RectSaver() = default;

        void setup(cairo_t* context, const cairo_rectangle_t& rect) override;
        void draw_frame() override;
        int fps() const override;
};

#endif // _RectSaver_H_
